<?php
/**
 * DashboardBuilder
 *
 * @author Diginix Technologies www.diginixtech.com
 * Support <support@dashboardbuider.net> - https://www.dashboardbuilder.net
 * @copyright (C) 2016-2020 Dashboardbuilder.net
 * @version 4.2
 * @license: This code is under MIT license, you can find the complete information about the license here: https://dashboardbuilder.net/code-license
 */

include("inc/dashboard_dist.php");  // copy this file to inc folder 


// for chart #1
$data = new dashboardbuilder(); 
$data->type[0]=  "bar";
$data->type[1]=  "line";

$data->source =  "Database"; 
$data->rdbms =  "sqlite"; 
$data->servername =  "";
$data->username =  "";
$data->password =  "";
$data->dbname =  "data/pareto.sqlite";
$data->toImage = "Download graph";
$data->zoomin = "Zoom in";
$data->zoomout = "Zoom out";
$data->autoscale = "Reset";
$data->xaxisSQL[0]=  "select A.Id, A.Defects, A.Frequency, SUM(B.Frequency) as CumFrequency, SUM(B.Frequency)/(select SUM(Frequency) from pareto_pareto)*100 as CumFrequencyPerc from pareto_pareto A, pareto_pareto B where A.Id>= B.Id group by A.Id, A.Frequency";
$data->xaxisCol[0]=  "Defects";
$data->xsort[0]=  "";
$data->xmodel[0]=  "";
$data->xaxisSQL[1]=  "select A.Id, A.Defects, A.Frequency, SUM(B.Frequency) as CumFrequency, SUM(B.Frequency)/(select SUM(Frequency) from pareto_pareto)*100 as CumFrequencyPerc from pareto_pareto A, pareto_pareto B where A.Id>= B.Id group by A.Id, A.Frequency";
$data->xaxisCol[1]=  "Defects";
$data->xsort[1]=  "";
$data->xmodel[1]=  "";
$data->yaxisSQL[0]=  "select A.Id, A.Defects, A.Frequency, SUM(B.Frequency) as CumFrequency, SUM(B.Frequency)/(select SUM(Frequency) from pareto_pareto)*100 as CumFrequencyPerc from pareto_pareto A, pareto_pareto B where A.Id>= B.Id group by A.Id, A.Frequency";
$data->yaxisCol[0]=  "Frequency";
$data->ysort[0]=  "";
$data->ymodel[0]=  "";
$data->yaxisSQL[1]=  "select A.Id, A.Defects, A.Frequency, SUM(B.Frequency) as CumFrequency, SUM(B.Frequency)/(select SUM(Frequency) from pareto_pareto)*100 as CumFrequencyPerc from pareto_pareto A, pareto_pareto B where A.Id>= B.Id group by A.Id, A.Frequency";
$data->yaxisCol[1]=  "CumFrequencyPerc";
$data->ysort[1]=  "";
$data->ymodel[1]=  "";

$data->name = "0";
$data->title = "";
$data->orientation = "v";
$data->dropdown = "false";
$data->legposition = "";
$data->xaxistitle = "";
$data->yaxistitle = "";
$data->showgrid = "true";
$data->showline = "true";
$data->height = "380";
$data->width = "";
$data->col = "0";




$result[0] = $data->result();?>

<!DOCTYPE html>
<html>
<head>
	<script src="assets/js/dashboard.min.js"></script> <!-- copy this file to assets/js folder -->
	<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css"> <!-- Bootstrap CSS file, change the path accordingly -->
	
<style>

.panel-heading {line-height:0.7em;}
#number {font-size:34px; font-weight:bold;text-align:center;}
#number_legand {font-size:11px; color:#999;text-align:center;}
.panel-body {  box-shadow: 5px 5px 35px  #e0e0e0;color:#787b80;}
.page-header {margin-top:-30px;}
</style>
</head>
<body> 
<div class="container-fluid main-container">
<div class="col-md-12 col-lg-12 col-xs-12">
	<div class="row">
	<div class="col-md-12 col-lg-12 col-xs-12 id0">
	<div class="panel panel-default">
		<div class="panel-body">
		<span>Bar Chart</span>
			<?php echo $result[0];?>
		</div>
	</div>
	</div>
	</div>
</div>
</div>
</body>
